from MoinMoin.util.header import Header
from MoinMoin import wikiutil


class SectionHeader(Header):
    
    def set_class(self, value):
        try:
            self._headers['class'].append(value)
        except KeyError:
            self._headers['class'] = [value]


class Parser:

    baseClass = 'section'

    def __init__(self, text, request, **keywords):
        self.request = request
        self.header = SectionHeader(request, text)
        self.text = text[self.header.length():]
    
    def format(self, formatter):
        from MoinMoin.parser import wiki
        parser = self.createParser()
        self.request.write('<div class="%s">\n' % 
                           self.cssClass())        
        parser.format(formatter)        
        self.request.write('</div>\n')

    def createParser(self):
        Parser = wikiutil.importPlugin(self.request.cfg,
                                       'parser','wiki',
                                       'Parser')
        return Parser(self.text, self.request)

    def cssClass(self):
        classes = self.header.get('class', [])
        classes.insert(0, self.baseClass)
        return ' '.join(classes)
