# -*- coding: utf-8 -*-

# Make all pathes work on both posix and that other os
from os.path import abspath

from MoinMoin.multiconfig import DefaultConfig


class Config(DefaultConfig):

    # Identity
    sitename = u'ויקי הדגמה'
    logo_string = sitename
    interwikiname = None

    # Directories
    data_dir = abspath('./data')
    data_underlay_dir = abspath('./underlay')
    url_prefix = '/wiki'

    # ACL
    allowed_actions = ['DeletePage', 'AttachFile', 'RenamePage']
    acl_enabled = 1    
    acl_rights_before = u"YourName:read,write,delete,revert,admin"


    # Mail
    mail_smarthost = "localhost"
    mail_from = "noreply@localhost"

    # Navigation
    page_front_page = sitename
    navi_bar = [u'%(page_front_page)s',
                u'RecentChanges',
                u'Developing MoinMoin Plugins',]

    # Theme
    theme_default = 'modern'
    theme_force = False


    # Language
    default_lang = 'he'
    page_category_regex = u'^Category[A-Z]'
    page_dict_regex = u'[a-z]Dict$'
    page_form_regex = u'[a-z]Form$'
    page_group_regex = u'[a-z]Group$'
    page_template_regex = u'[a-z]Template$'

    # Content
    bang_meta = 1
    show_hosts = 1                  
    show_section_numbers = 0
    chart_options = None
